/**
 * @file calibration.h
 * @brief TFT screeen calibration
 */
#ifndef	_CALIBRATION_H
#define	_CALIBRATION_H


/**
 * @brief Set Touchscreen calibration values.
 *        Values are for the default portrait mode, in this application
 *        the screen is used in landscape mode.
 * @param xleft X left side    (landscape bottom)
 * @param xright X right side  (landscape top)
 * @param ytop Y top           (landscape left)
 * @param ybottom Y botto      (landscape right)
 * @return 1 if error, 0 if success.
 */
int TS_set_calibration(int xleft, int xright, int ytop, int ybottom);

/**
 * @brief Initialize for TFT calibration
 */
void Calibration_Init(void);

/**
 * @brief Do the TFT calibration
 */
void Calibration_Loop(void);


#endif
